Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 227924

Summary: netrc.el required but not installed
Product: [Fedora] Fedora Reporter: Tom Tromey <tromey>
Component: emacsAssignee: Chip Coldwell <coldwell>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: patrickm
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: F7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-12 19:00:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tom Tromey 2007-02-08 22:28:23 UTC
If you try to use smtpmail-send-it (say by setting your
message-send-mail-function to this) and you have a ~/.authinfo file,
emacs will give an error about not finding netrc.el.

The simplest way to see this is by inspection.  Look at
/usr/share/emacs/21.4/lisp/mail/smtpmail.el and search for
"netrc".

I believe the problem here is that smtpmail-cvs-update.patch
pulls in a new version of smtpmail.el, which has this dependency,
but it fails to pull in netrc.el.

Comment 1 Tom Tromey 2007-04-28 20:08:33 UTC
Note that this is only a problem in the Emacs 21 RPM.
netrc.el is in the Emacs 22 RPM.


Comment 2 Tom Tromey 2008-01-12 19:00:52 UTC
FC6 has reached EOL and this is fixed in the Emacs in F7.